Arbor 3: FSM & BT Graph Editor 3.1.2

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Properties | Events | List of all members
Parameter Class Reference

Class of Parameter to be stored in the ParameterContainer. More...

## Public Types
enum | Type { Int, Float, Bool, GameObject, String, Vector2 = 1000, Vector3, Quaternion, Rect, Bounds, Color, Transform = 2000, RectTransform, Rigidbody, Rigidbody2D, Component, Long, Variable = 3000 }
| Parameter type. More...

## Public Member Functions
delegate void | DelegateOnChanged (Parameter parameter)
| Delegate called when changing Parameter. More...
void | OnChanged ()
| Call when you change the value. More...
void | SetVariable< T > (T value)
| Set Variable value More...
bool | GetVariable< T > (ref T value)
| Get Variable value More...
override string | ToString ()
| Convert value to string format. More...
string | ToString (string format)
| Convert value to string format. More...

## Public Attributes
ParameterContainerInternal | container
| Container this parameter is stored. More...
int | id
| ID. More...
Type | type
| Type. More...
string | name
| Name. More...
ClassTypeReference | componentType = new ClassTypeReference(typeof(Component))
| the type of objectReferenceValue. More...

## Properties
int | intValue`[get, set]`
| Value of Int type. More...
long | longValue`[get, set]`
| Value of Long type. More...
float | floatValue`[get, set]`
| Value of Float type. More...
bool | boolValue`[get, set]`
| Value of Bool type. More...
string | stringValue`[get, set]`
| Value of String type. More...
GameObject | gameObjectValue`[get, set]`
| Value of GameObject type. More...
Vector2 | vector2Value`[get, set]`
| Value of Vector2 type. More...
Vector3 | vector3Value`[get, set]`
| Value of Vector3 type. More...
Quaternion | quaternionValue`[get, set]`
| Value of Quaternion type. More...
Rect | rectValue`[get, set]`
| Value of Rect type. More...
Bounds | boundsValue`[get, set]`
| Value of Bounds type. More...
Color | colorValue`[get, set]`
| Value of Color type. More...
Object | objectReferenceValue`[get, set]`
| Value of Object type. More...
object | variableValue`[get, set]`
| Value of Variable type. More...
System.Type | valueType`[get]`
| Get value type. More...
object | value`[get, set]`
| Get values according to type. More...

## Events
DelegateOnChanged | onChanged
| Callback function to be called when the value is changed. More...

## Detailed Description

Class of Parameter to be stored in the ParameterContainer.

## Member Enumeration Documentation

enum Type
| strong

Parameter type.

Enumerator
Int | Int type.
Float | Float type.
Bool | Bool type.
GameObject | GameObject type.
String | String type.
Vector2 | Vector2 type.
Vector3 | Vector3 type.
Quaternion | Quaternion type.
Rect | Rect type.
Bounds | Bounds type.
Color | Color type.
Transform | Transform type.
RectTransform | RectTransform type.
Rigidbody | Rigidbody type.
Rigidbody2D | Rigidbody2D type.
Component | Component type.
Long | Long type.
Variable | Variable type.

## Member Function Documentation

delegate void DelegateOnChanged | ( | Parameter | parameter | ) |

Delegate called when changing Parameter.

Parameters

  parameter | Parameter

bool GetVariable< T > | ( | ref T | value | ) |

Get Variable value

Template Parameters

  T | Variable value type

Parameters

  value | Value

Returns
  Succeeds if true, failure if false

Type Constraints

  T | : | new() |

void OnChanged | ( |  | ) |

Call when you change the value.

void SetVariable< T > | ( | T | value | ) |

Set Variable value

Template Parameters

  T | Variable value Type

Parameters

  value | Value

Type Constraints

  T | : | new() |

override string ToString | ( |  | ) |

Convert value to string format.

Returns
  Converted string

string ToString | ( | string | format | ) |

Convert value to string format.

Parameters

  format | Numeric format string (Int, Long, Float only)

Returns
  Converted string

For more information about numeric format specifiers, see Standard Numeric Format Strings and Custom Numeric Format Strings.

## Member Data Documentation

ClassTypeReference componentType = new ClassTypeReference(typeof(Component))

the type of objectReferenceValue.

ParameterContainerInternal container

Container this parameter is stored.

int id

ID.

string name

Name.

Type type

Type.

## Property Documentation

bool boolValue
| get set

Value of Bool type.

Bounds boundsValue
| get set

Value of Bounds type.

Color colorValue
| get set

Value of Color type.

float floatValue
| get set

Value of Float type.

GameObject gameObjectValue
| get set

Value of GameObject type.

int intValue
| get set

Value of Int type.

long longValue
| get set

Value of Long type.

Object objectReferenceValue
| get set

Value of Object type.

Quaternion quaternionValue
| get set

Value of Quaternion type.

Rect rectValue
| get set

Value of Rect type.

string stringValue
| get set

Value of String type.

object value
| get set

Get values according to type.

System.Type valueType
| get

Get value type.

object variableValue
| get set

Value of Variable type.

Vector2 vector2Value
| get set

Value of Vector2 type.

Vector3 vector3Value
| get set

Value of Vector3 type.

## Event Documentation

DelegateOnChanged onChanged

Callback function to be called when the value is changed.